# Uses of Class
org.springframework.beans.factory.support.MethodOverride

Packages that use MethodOverride
Package
Description
org.springframework.beans.factory.support
Classes supporting the `org.springframework.beans.factory` package.

## Uses of MethodOverride in org.springframework.beans.factory.support

Subclasses of MethodOverride in org.springframework.beans.factory.support
Modifier and Type
Class
Description
`class`
`LookupOverride`
Represents an override of a method that looks up an object in the same IoC context, either by bean name or by bean type (based on the declared method return type).
`class`
`ReplaceOverride`
Extension of `MethodOverride` that represents an arbitrary override of a method by the IoC container.
Methods in org.springframework.beans.factory.support that return MethodOverride
Modifier and Type
Method
Description
`MethodOverride`
MethodOverrides.`getOverride(Method method)`
Return the override for the given method, if any.
Methods in org.springframework.beans.factory.support that return types with arguments of type MethodOverride
Modifier and Type
Method
Description
`Set<MethodOverride>`
MethodOverrides.`getOverrides()`
Return all method overrides contained by this object.
Methods in org.springframework.beans.factory.support with parameters of type MethodOverride
Modifier and Type
Method
Description
`void`
MethodOverrides.`addOverride(MethodOverride override)`
Add the given method override.
`protected void`
AbstractBeanDefinition.`prepareMethodOverride(MethodOverride mo)`
Validate and prepare the given method override.